<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.smartapplication.charge.mapper.SmartChargeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="smartChargeResultMap" type="org.springblade.smartapplication.charge.entity.SmartCharge">
        <result column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="user_name" property="userName"/>
        <result column="jack_id" property="jackId"/>
        <result column="jack_name" property="jackName"/>
        <result column="pay" property="pay"/>
        <result column="begin_time" property="beginTime"/>
        <result column="end_time" property="endTime"/>
    </resultMap>


    <select id="selectSmartChargePage" resultMap="smartChargeResultMap">
        select * from yc_smart_charge where is_deleted = 0
    </select>

</mapper>
